
Infrastructure - Story #3755

Structural changes to D1 APIs for 2.0 release

2013-05-09 17:39 - Robert Waltz

Status: Closed Start date: 2013-05-09

Priority: Normal Due date: 2015-01-06

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

NEed to keep track of all the API changes that will require a new version of dataone to be supported (in addition to v1)

Subtasks:

Task # 3756: Modify getLogRecords to allow filter by NodeID Rejected

Task # 4028: Modify getLogRecords to allow filter by ObjectFormatType Rejected

Task # 4029: Add method getCapabilities to the CN API Closed

Task # 4030: Add method getNodeCapabilities to the CN API Closed

Task # 4264: Add  hide()  and display() to CN and MN APIs Rejected

Task # 4265: Deprecate MNStorage.archive() and CNCore.archive() Closed

Task # 4306: Query API in MN and CN Closed

Related issues:

Related to Infrastructure - Story #2829: Structural changes to D1 Data Types ... Closed 2012-06-07

Related to Infrastructure - Story #6038: DataONE API version 2 needs to be su... Closed 2014-08-12 2015-01-06

History

#1 - 2013-08-14 17:44 - Robert Waltz

- Subject changed from Structural changes to CN APIs to Structural changes to CN APIs for 2.0 release

#2 - 2014-03-07 18:12 - Robert Waltz

- Subject changed from Structural changes to CN APIs for 2.0 release to Structural changes to D1 APIs for 2.0 release

#3 - 2014-07-17 17:26 - Chris Jones

- Assignee changed from Robert Waltz to Ben Leinfelder

Assigning to Ben since he is taking the lead on the v2 changes.

#4 - 2014-10-01 16:51 - Robert Waltz

- Due date set to 2014-12-01

- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

#5 - 2015-06-16 15:10 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-TRUNK

- % Done changed from 57 to 0

#6 - 2015-07-01 16:21 - Dave Vieglais

- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#7 - 2015-07-01 17:23 - Dave Vieglais
- Status changed from New to Closed

- % Done changed from 0 to 100
